Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231043 - [RFE] ability to queue and defer sysctl settings until modules are loaded
Summary: [RFE] ability to queue and defer sysctl settings until modules are loaded
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 20:02 UTC by Neil Doane
Modified: 2014-03-17 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 20:54:40 UTC


Attachments (Terms of Use)

Description Neil Doane 2007-03-05 20:02:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):
All 4 & 5.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:



Additional info:

Please see: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189310 for
detailed additional info.

Comment 1 Neil Doane 2007-03-06 16:45:40 UTC
See also:
https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=88294

For an example of this behavior.





Comment 2 Bill Nottingham 2007-03-07 20:54:40 UTC
There is no resident portion of initscripts that would be able to catch these
events in a way that you could hook in.

Suggestions would be:

- modprobe.conf entries that run sysctl on module load
- udev rules that run sysctl on module registration




Note You need to log in before you can comment on or make changes to this bug.